From 6888e1c3b1c6f41c230afdbd1d7ded9035d7c0d0 Mon Sep 17 00:00:00 2001
From: Andreas Wacknitz <A.Wacknitz@gmx.de>
Date: Tue, 09 Apr 2024 22:50:30 +0200
Subject: [PATCH] imagemagick: update to 7.1.1-30

---
 tools/jenkinshelper.ksh |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

diff --git a/tools/jenkinshelper.ksh b/tools/jenkinshelper.ksh
index 5f5a0a5..1879dd6 100755
--- a/tools/jenkinshelper.ksh
+++ b/tools/jenkinshelper.ksh
@@ -1,9 +1,9 @@
 #!/bin/ksh
 # 2021-04-07 Olaf Bohlen <olbohlen@eenfach.de>
-# 2021-11-29 Till Wegmueller <toasterson@gmail.com>
+# 2021-11-30 Till Wegmueller <toasterson@gmail.com>
 # instead of putting all this into the Jenkinsfile I decided to put the actual code in this script
 
-set -x
+set -ex
 
 # global config
 HTTPCONF="/etc/apache2/2.4/conf.d/pkgdepotd.conf"
@@ -55,14 +55,19 @@
 # we try to be smart and assume that all updates will always touch
 # the components Makefile also (to update COMPONENT_REVISION, etc)
 stage_build_changed() {
-	for f in $(git diff --name-only HEAD..origin/oi/hipster | grep Makefile); do
+	worst=0
+	for f in $(git diff --name-only HEAD..origin/oi/hipster | grep Makefile; exit 0); do
 		echo "jenkinshelper: building for ${f%/*}..."
 		curpwd=$(pwd)
-		cd "${f%/*}" && gmake publish
+		cd "${f%/*}" && gmake clean && gmake PARALLEL_JOBS=$(psrinfo -t -c) publish
 		rc=$?
 		cd "${curpwd}"
 		echo "jenkinshelper: done with ${f%/*} return code ${rc}"
+		if [ rc -ne 0 ] ; then
+			worst=$rc
+		fi
 	done
+	return $worst
 }
 
 # prepare the pkg.depotd server instance, if an instance already
@@ -73,7 +78,7 @@
 	platform=$(uname -p)
 
 	# check if we already have this branch set up as a pkg.depotd:
-	if ! svcs "pkg/server:${BRANCH_NAME}"; then
+	if ! svcs "pkg/server:${BRANCH_NAME}" >/dev/null 2>&1; then
 
 		# get highest port from ${HTTPCONF} to figure out the next free one
 		nextport=$(($(nawk -F '[/:]' '{ print $7 }' <"${HTTPCONF}" | sort -n | tail -1) + 1))

--
Gitblit v1.9.3